import request from '@/utils/request'

// 查询订单申请退款原因列表
export function listReason(data) {
  return request({
    url: '/tRefundReason/list',
    method: 'post',
    data: data
  })
}

// 查询订单申请退款原因详细
export function getReason(id) {
  return request({
    url: '/tRefundReason/' + id,
    method: 'get'
  })
}

// 新增订单申请退款原因
export function addReason(data) {
  return request({
    url: '/tRefundReason',
    method: 'post',
    data: data
  })
}

// 修改订单申请退款原因
export function updateReason(data) {
  return request({
    url: '/tRefundReason',
    method: 'put',
    data: data
  })
}

// 删除订单申请退款原因
export function delReason(id) {
  return request({
    url: '/tRefundReason/' + id,
    method: 'delete'
  })
}

// 导出订单申请退款原因
export function exportReason(query) {
  return request({
    url: '/tRefundReason/export',
    method: 'get',
    params: query
  })
}
